SOLVESPACE -- parametric 2d/3d CAD
Examples
Tutorials
Features
Download
Reference
Technology
Library
Forum
Contact
USER FORUM

(you are viewing a thread; or go back to list of threads)

Sorry, only UTF-8 locales are supported (by Bob)
Solvespace 2.2 starts on openSuse Linux 42.2 with the message "Sorry, only UTF-8 locales are supported" end exits. It did the same thing with the older version. So I am a bit disappointed, because I'd be really interested to try it. Any idea anyone???
Sun Nov 6 2016, 17:43:23
(no subject) (by whitequark)
Try running SolveSpace as:

$ LANG=en_US.UTF-8 solvespace

If that works, please post the output of the following command:

$ env | egrep '(LANG|LC_)'
Mon Nov 7 2016, 07:01:11
UTF-8 message (by Federico Balaguer)
hello.
here is the output
$ env | egrep '(LANG|LC_)'
LANG=en_US_UTF-8
LANGUAGE=
Tue Sep 19 2017, 10:12:25
(no subject) (by whitequark)
There is some error with your environment. LANG should not be en_US_UTF-8. The workaround I specified above suffices.
Sun Oct 1 2017, 18:20:56
LC_TIME and LC_MEASUREMENT repro this for me (by Marsh Ray)
[email protected]:~$ env | egrep '(LANG|LC_)'
LC_MEASUREMENT=en_VI.UTF-8
LANG=en_US.UTF-8
LANGUAGE=
LC_TIME=en_SE.UTF-8
[email protected]:~$ solvespace
Sorry, only UTF-8 locales are supported.
[email protected]:~$ LC_MEASUREMENT=en_US.UTF-8 solvespace
Sorry, only UTF-8 locales are supported.
[email protected]:~$ LC_TIME=en_US.UTF-8 LC_MEASUREMENT=en_US.UTF-8 solvespace
bash: warning: setlocale: LC_TIME: cannot change locale (en_SE.UTF-8)

Other than the warning, the last one works.
Sat May 26 2018, 15:56:45
Post a reply to this comment:
Your Name:
Your Email:
Subject:
(no HTML tags; use plain text, and hit Enter for a line break)
Attached file (if you want, 5 MB max):
© 2008-2018 SolveSpace contributors. Most recent update Nov 22 2018.